From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/gstreamer/
Date: Sun, 05 Jan 2025 23:45:21 +0000 (UTC) [thread overview]
Message-ID: <1736120672.f439400855abe4975a1423a285b9b5ad1a5c0ea9.sam@gentoo> (raw)
commit: f439400855abe4975a1423a285b9b5ad1a5c0ea9
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 5 23:43:14 2025 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jan 5 23:44:32 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f4394008
media-libs/gstreamer: actually control ptp w/ USE=ptp
Closes: https://bugs.gentoo.org/947524
Closes: https://bugs.gentoo.org/947532
Signed-off-by: Sam James <sam <AT> gentoo.org>
media-libs/gstreamer/gstreamer-1.24.10.ebuild | 7 ++++++-
1 file changed, 6 insertions(+), 1 deletion(-)
diff --git a/media-libs/gstreamer/gstreamer-1.24.10.ebuild b/media-libs/gstreamer/gstreamer-1.24.10.ebuild
index c9df01e1105c..fd802735e446 100644
--- a/media-libs/gstreamer/gstreamer-1.24.10.ebuild
+++ b/media-libs/gstreamer/gstreamer-1.24.10.ebuild
@@ -43,13 +43,18 @@ PATCHES=(
# Rust
QA_FLAGS_IGNORED="usr/libexec/gstreamer-1.0/gst-ptp-helper"
+pkg_setup() {
+ gstreamer-meson_pkg_setup
+ use ptp && rust_pkg_setup
+}
+
multilib_src_configure() {
local emesonargs=(
-Dtools=$(multilib_is_native_abi && echo enabled || echo disabled)
-Dbenchmarks=disabled
-Dexamples=disabled
-Dcheck=enabled
- -Dptp-helper=$(multilib_is_native_abi && echo enabled || echo disabled)
+ -Dptp-helper=$(multilib_is_native_abi && echo $(usex 'ptp' 'enabled' 'disabled') || echo disabled)
$(meson_feature unwind libunwind)
$(meson_feature unwind libdw)
)
next reply other threads:[~2025-01-05 23:45 UTC|newest]
Thread overview: 48+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-01-05 23:45 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-07 16:18 [gentoo-commits] repo/gentoo:master commit in: media-libs/gstreamer/ Arthur Zamarin
2025-01-04 22:10 Sam James
2024-04-30 16:22 Mart Raudsepp
2023-10-13 7:33 Mart Raudsepp
2022-11-20 18:34 Mart Raudsepp
2022-05-18 6:03 WANG Xuerui
2021-05-25 8:25 Yixun Lan
2021-02-17 13:53 Sam James
2021-01-10 20:22 Fabian Groffen
2020-06-21 21:59 Mart Raudsepp
2020-01-01 15:08 Mart Raudsepp
2020-01-01 14:03 Agostino Sarubbo
2019-12-10 18:10 Aaron Bauman
2019-12-08 23:37 Sergei Trofimovich
2019-08-25 19:55 Mart Raudsepp
2019-05-21 3:17 Aaron Bauman
2019-02-05 23:58 Mart Raudsepp
2018-10-03 16:24 Mart Raudsepp
2018-09-30 22:21 Mart Raudsepp
2018-09-16 23:29 Mart Raudsepp
2018-07-30 9:15 Mart Raudsepp
2018-07-15 23:13 Mart Raudsepp
2018-06-16 18:27 Mart Raudsepp
2018-03-17 17:19 Mikle Kolyada
2018-01-27 3:30 Mart Raudsepp
2017-12-16 17:58 Mart Raudsepp
2017-11-21 11:16 Marek Szuba
2017-11-20 19:38 Manuel Rüger
2017-11-11 21:49 Thomas Deutschmann
2017-09-18 19:51 Mart Raudsepp
2017-09-18 19:51 Mart Raudsepp
2017-09-02 4:19 Mart Raudsepp
2017-02-25 1:28 Mart Raudsepp
2017-02-15 17:32 Markus Meier
2017-02-11 21:45 Ulrich Müller
2017-01-22 21:54 Mart Raudsepp
2017-01-22 18:03 Agostino Sarubbo
2016-12-06 21:01 Markus Meier
2016-07-30 20:37 Pacho Ramos
2016-07-09 20:24 Andreas Hüttel
2016-05-03 20:35 Markus Meier
2016-03-06 18:03 Mikle Kolyada
2016-02-28 11:09 Pacho Ramos
2016-02-28 11:09 Pacho Ramos
2016-02-25 23:02 Andreas Hüttel
2016-01-31 12:46 Gilles Dartiguelongue
2015-10-25 23:01 Gilles Dartiguelongue
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1736120672.f439400855abe4975a1423a285b9b5ad1a5c0ea9.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox